### Enumeration

# FwupdPlugin UsbDescriptorKind

#### Declaration

    enum FwupdPlugin.UsbDescriptorKind

#### Description

No description available.

#### Members

Name | Description
--- | ---
`FU_USB_DESCRIPTOR_KIND_INVALID` | No description available.
`FU_USB_DESCRIPTOR_KIND_DEVICE` | No description available.
`FU_USB_DESCRIPTOR_KIND_CONFIG` | No description available.
`FU_USB_DESCRIPTOR_KIND_STRING` | No description available.
`FU_USB_DESCRIPTOR_KIND_INTERFACE` | No description available.
`FU_USB_DESCRIPTOR_KIND_ENDPOINT` | No description available.
`FU_USB_DESCRIPTOR_KIND_INTERFACE_ASSOCIATION` | No description available.
`FU_USB_DESCRIPTOR_KIND_BOS` | No description available.
`FU_USB_DESCRIPTOR_KIND_DEVICE_CAPABILITY` | No description available.
`FU_USB_DESCRIPTOR_KIND_HID` | No description available.
`FU_USB_DESCRIPTOR_KIND_REPORT` | No description available.
`FU_USB_DESCRIPTOR_KIND_PHYSICAL` | No description available.
`FU_USB_DESCRIPTOR_KIND_HUB` | No description available.
`FU_USB_DESCRIPTOR_KIND_SUPERSPEED_HUB` | No description available.
`FU_USB_DESCRIPTOR_KIND_SS_ENDPOINT_COMPANION` | No description available.